//
// Created by Ht on 2022/12/17.
//

#ifndef IOT_EDGE_VDALNEW_MULTIPANEL_H
#define IOT_EDGE_VDALNEW_MULTIPANEL_H

namespace jedge {

    static const char* sval_service_multi_ = "multipanel";

    class MultiModule : public jedge::QMgbusModule {
    protected:
        void prepareService(const qlibc::QData &config) override {
            MgBusHolder::prepareService(config);
            DefineMgbusService(sval_service_multi_, MultiPanelService, config);
        }

    public:
        explicit MultiModule(const qlibc::QData& config, const std::string& name = sval_service_multi_) :
                jedge::QMgbusModule(config, name){
        }

        bool doServerStart(const qlibc::QData &data) override {
            return true;
        }

        void doServerShutdown() override {
        }
    };
}

#endif //IOT_EDGE_VDALNEW_MULTIPANEL_H
